package com.xzzn.ems.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.xzzn.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.xzzn.common.annotation.Excel;

/**
 * bmsd告警数据对象 ems_stack_alarm_data
 *
 * @author xzzn
 * @date 2025-10-22
 */
public class EmsStackAlarmData extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /**  */
    private Long id;

    /** 数据采集时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "数据采集时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date dataTimestamp;

    /** 站点id */
    @Excel(name = "站点id")
    private String siteId;

    /** 设备唯一标识符 */
    @Excel(name = "设备唯一标识符")
    private String deviceId;

    /** BMS故障状态（0=正常，1=故障） */
    @Excel(name = "BMS故障状态", readConverterExp = "0==正常，1=故障")
    private Integer bmsgzzt;

    /** 禁充状态（0=允许充电，1=禁止充电） */
    @Excel(name = "禁充状态", readConverterExp = "0==允许充电，1=禁止充电")
    private Integer jczt;

    /** 禁放状态（0=允许放电，1=禁止放电） */
    @Excel(name = "禁放状态", readConverterExp = "0==允许放电，1=禁止放电")
    private Integer jfzt;

    /** 堆内各组端电压欠压轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压欠压轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddyqyqdgjhz;

    /** 堆内各组端电压欠压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压欠压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddyqyzdgjhz;

    /** 堆内各组端电压欠压重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压欠压重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddyqyzzdgjhz;

    /** 堆内各组端电压过压轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压过压轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddygyqdgjhz;

    /** 堆内各组端电压过压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压过压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddygyzdgjhz;

    /** 堆内各组端电压过压重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端电压过压重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzddygyzzdgjhz;

    /** 堆内各组端过流轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端过流轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzdglqdgjhz;

    /** 堆内各组端过流中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端过流中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzdglzdgjhz;

    /** 堆内各组端过流重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组端过流重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzdglzzdgjhz;

    /** 堆内各组绝缘电阻低轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组绝缘电阻低轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzjydzdqdgjhz;

    /** 堆内各组绝缘电阻低中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组绝缘电阻低中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzjydzdzdgjhz;

    /** 堆内各组绝缘电阻低重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组绝缘电阻低重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzjydzdzzdgjhz;

    /** 堆内各组模块欠温度轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块欠温度轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkqwdqdgjhz;

    /** 堆内各组模块欠温度中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块欠温度中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkqwdzdgjhz;

    /** 堆内各组模块欠温度重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块欠温度重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkqwdzzdgjhz;

    /** 堆内各组模块过温度轻度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块过温度轻度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkgwdqdgjhz;

    /** 堆内各组模块过温度中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块过温度中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkgwdzdgjhz;

    /** 堆内各组模块过温度重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各组模块过温度重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngzmkgwdzzdgjhz;

    /** 堆内各单体过压轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过压轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgyqwgjhz;

    /** 堆内各单体过压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgyzdgjhz;

    /** 堆内各单体过压严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过压严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgyyzgjhz;

    /** 堆内各单体欠压轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠压轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqyqwgjhz;

    /** 堆内各单体欠压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqyzdgjhz;

    /** 堆内各单体欠压严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠压严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqyyzgjhz;

    /** 堆内各单体压差轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体压差轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtycqwgjhz;

    /** 堆内各单体压差中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体压差中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtyczdgjhz;

    /** 堆内各单体压差严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体压差严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtycyzgjhz;

    /** 堆内各单体欠温轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠温轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqwqwgjhz;

    /** 堆内各单体欠温中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠温中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqwzdgjhz;

    /** 堆内各单体欠温严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体欠温严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtqwyzgjhz;

    /** 堆内各单体过温轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过温轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgwqwgjhz;

    /** 堆内各单体过温中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过温中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgwzdgjhz;

    /** 堆内各单体过温严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体过温严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtgwyzgjhz;

    /** 堆内各单体温差轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体温差轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtwcqwgjhz;

    /** 堆内各单体温差中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体温差中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtwczdgjhz;

    /** 堆内各单体温差严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体温差严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdtwcyzgjhz;

    /** 堆内各单体 SOC 低轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 低轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocdqwgjhz;

    /** 堆内各单体 SOC 低中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 低中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocdzdgjhz;

    /** 堆内各单体 SOC 低严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 低严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocdyzgjhz;

    /** 堆内各单体 SOC 高轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 高轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocgqwgjhz;

    /** 堆内各单体 SOC 高中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 高中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocgzdgjhz;

    /** 堆内各单体 SOC 高严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOC 高严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsocgyzgjhz;

    /** 堆内各单体 SOH 低轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 低轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohdqwgjhz;

    /** 堆内各单体 SOH 低中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 低中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohdzdgjhz;

    /** 堆内各单体 SOH 低严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 低严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohdyzgjhz;

    /** 堆内各单体 SOH 高轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 高轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohgqwgjhz;

    /** 堆内各单体 SOH 高中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 高中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohgzdgjhz;

    /** 堆内各单体 SOH 高严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各单体 SOH 高严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dtsohgyzgjhz;

    /** 堆内各主控失联汇总（0=正常，1=失联） */
    @Excel(name = "堆内各主控失联汇总", readConverterExp = "0==正常，1=失联")
    private Integer dngzkslhz;

    /** 堆内各从控失联告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各从控失联告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngckslgjhz;

    /** 堆内各组电压异常（组间压差大于 20V）（0=正常，1=异常） */
    @Excel(name = "堆内各组电压异常", readConverterExp = "组=间压差大于,2=0V")
    private Integer dngzdyyc;

    /** 堆内接触器断开异常（0=正常，1=异常） */
    @Excel(name = "堆内接触器断开异常", readConverterExp = "0==正常，1=异常")
    private Integer dnjcqdkyc;

    /** 堆内接触器闭合异常（0=正常，1=异常） */
    @Excel(name = "堆内接触器闭合异常", readConverterExp = "0==正常，1=异常")
    private Integer dnjcqbhyc;

    /** 充电禁止（0=允许，1=禁止） */
    @Excel(name = "充电禁止", readConverterExp = "0==允许，1=禁止")
    private Integer cdjz;

    /** 放电禁止（0=允许，1=禁止） */
    @Excel(name = "放电禁止", readConverterExp = "0==允许，1=禁止")
    private Integer fdjz;

    /** BMS 系统告警汇总（0=无告警，1=有告警） */
    @Excel(name = "BMS 系统告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer bmsxtgjhz;

    /** BMS 系统故障汇总（0=无故障，1=有故障） */
    @Excel(name = "BMS 系统故障汇总", readConverterExp = "0==无故障，1=有故障")
    private Integer bmsxtgzhz;

    /** 输入 IN0（0=断开，1=闭合/有效） */
    @Excel(name = "输入 IN0", readConverterExp = "0==断开，1=闭合/有效")
    private Integer srin0;

    /** 输入 IN1（0=断开，1=闭合/有效） */
    @Excel(name = "输入 IN1", readConverterExp = "0==断开，1=闭合/有效")
    private Integer srin1;

    /** 输入 IN2（0=断开，1=闭合/有效） */
    @Excel(name = "输入 IN2", readConverterExp = "0==断开，1=闭合/有效")
    private Integer srin2;

    /** 输入 IN3（0=断开，1=闭合/有效） */
    @Excel(name = "输入 IN3", readConverterExp = "0==断开，1=闭合/有效")
    private Integer srin3;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl1;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl2;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl3;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl4;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl5;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl6;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl7;

    /** 预留/reserved */
    @Excel(name = "预留/reserved")
    private Integer yl8;

    /** 堆内各端子过温轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各端子过温轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdzgwqwgjhz;

    /** 堆内各端子过温中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各端子过温中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdzgwzdgjhz;

    /** 堆内各端子过温重度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内各端子过温重度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dngdzgwzzdgjhz;

    /** 堆内模块电压过压轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压过压轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdygyqwgjhz;

    /** 堆内模块电压过压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压过压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdygyzdgjhz;

    /** 堆内模块电压过压严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压过压严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdygyyzgjhz;

    /** 堆内模块电压欠压轻微告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压欠压轻微告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdyqyqwgjhz;

    /** 堆内模块电压欠压中度告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压欠压中度告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdyqyzdgjhz;

    /** 堆内模块电压欠压严重告警汇总（0=无告警，1=有告警） */
    @Excel(name = "堆内模块电压欠压严重告警汇总", readConverterExp = "0==无告警，1=有告警")
    private Integer dnmkdyqyyzgjhz;

    /** 电压采集失联（0=正常，1=失联） */
    @Excel(name = "电压采集失联", readConverterExp = "0==正常，1=失联")
    private Integer dycjsl;

    /** 温度采集失联（0=正常，1=失联） */
    @Excel(name = "温度采集失联", readConverterExp = "0==正常，1=失联")
    private Integer wdcjsl;

    /** DIDO-DI0（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI0", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi0;

    /** DIDO-DI1（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI1", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi1;

    /** DIDO-DI2（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI2", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi2;

    /** DIDO-DI3（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI3", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi3;

    /** DIDO-DI4（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI4", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi4;

    /** DIDO-DI5（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI5", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi5;

    /** DIDO-DI6（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI6", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi6;

    /** DIDO-DI7（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI7", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi7;

    /** DIDO-DI8（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI8", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi8;

    /** DIDO-DI9（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI9", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi9;

    /** DIDO-DI10（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI10", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi10;

    /** DIDO-DI11（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI11", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi11;

    /** DIDO-DI12（0=断开，1=闭合/有效） */
    @Excel(name = "DIDO-DI12", readConverterExp = "0==断开，1=闭合/有效")
    private Integer didodi12;

    /** 空调-通信失联（0=正常，1=失联） */
    @Excel(name = "空调-通信失联", readConverterExp = "0==正常，1=失联")
    private Integer kttxsl;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setDataTimestamp(Date dataTimestamp)
    {
        this.dataTimestamp = dataTimestamp;
    }

    public Date getDataTimestamp()
    {
        return dataTimestamp;
    }

    public void setSiteId(String siteId)
    {
        this.siteId = siteId;
    }

    public String getSiteId()
    {
        return siteId;
    }

    public void setDeviceId(String deviceId)
    {
        this.deviceId = deviceId;
    }

    public String getDeviceId()
    {
        return deviceId;
    }

    public void setBmsgzzt(Integer bmsgzzt)
    {
        this.bmsgzzt = bmsgzzt;
    }

    public Integer getBmsgzzt()
    {
        return bmsgzzt;
    }

    public void setJczt(Integer jczt)
    {
        this.jczt = jczt;
    }

    public Integer getJczt()
    {
        return jczt;
    }

    public void setJfzt(Integer jfzt)
    {
        this.jfzt = jfzt;
    }

    public Integer getJfzt()
    {
        return jfzt;
    }

    public void setDngzddyqyqdgjhz(Integer dngzddyqyqdgjhz)
    {
        this.dngzddyqyqdgjhz = dngzddyqyqdgjhz;
    }

    public Integer getDngzddyqyqdgjhz()
    {
        return dngzddyqyqdgjhz;
    }

    public void setDngzddyqyzdgjhz(Integer dngzddyqyzdgjhz)
    {
        this.dngzddyqyzdgjhz = dngzddyqyzdgjhz;
    }

    public Integer getDngzddyqyzdgjhz()
    {
        return dngzddyqyzdgjhz;
    }

    public void setDngzddyqyzzdgjhz(Integer dngzddyqyzzdgjhz)
    {
        this.dngzddyqyzzdgjhz = dngzddyqyzzdgjhz;
    }

    public Integer getDngzddyqyzzdgjhz()
    {
        return dngzddyqyzzdgjhz;
    }

    public void setDngzddygyqdgjhz(Integer dngzddygyqdgjhz)
    {
        this.dngzddygyqdgjhz = dngzddygyqdgjhz;
    }

    public Integer getDngzddygyqdgjhz()
    {
        return dngzddygyqdgjhz;
    }

    public void setDngzddygyzdgjhz(Integer dngzddygyzdgjhz)
    {
        this.dngzddygyzdgjhz = dngzddygyzdgjhz;
    }

    public Integer getDngzddygyzdgjhz()
    {
        return dngzddygyzdgjhz;
    }

    public void setDngzddygyzzdgjhz(Integer dngzddygyzzdgjhz)
    {
        this.dngzddygyzzdgjhz = dngzddygyzzdgjhz;
    }

    public Integer getDngzddygyzzdgjhz()
    {
        return dngzddygyzzdgjhz;
    }

    public void setDngzdglqdgjhz(Integer dngzdglqdgjhz)
    {
        this.dngzdglqdgjhz = dngzdglqdgjhz;
    }

    public Integer getDngzdglqdgjhz()
    {
        return dngzdglqdgjhz;
    }

    public void setDngzdglzdgjhz(Integer dngzdglzdgjhz)
    {
        this.dngzdglzdgjhz = dngzdglzdgjhz;
    }

    public Integer getDngzdglzdgjhz()
    {
        return dngzdglzdgjhz;
    }

    public void setDngzdglzzdgjhz(Integer dngzdglzzdgjhz)
    {
        this.dngzdglzzdgjhz = dngzdglzzdgjhz;
    }

    public Integer getDngzdglzzdgjhz()
    {
        return dngzdglzzdgjhz;
    }

    public void setDngzjydzdqdgjhz(Integer dngzjydzdqdgjhz)
    {
        this.dngzjydzdqdgjhz = dngzjydzdqdgjhz;
    }

    public Integer getDngzjydzdqdgjhz()
    {
        return dngzjydzdqdgjhz;
    }

    public void setDngzjydzdzdgjhz(Integer dngzjydzdzdgjhz)
    {
        this.dngzjydzdzdgjhz = dngzjydzdzdgjhz;
    }

    public Integer getDngzjydzdzdgjhz()
    {
        return dngzjydzdzdgjhz;
    }

    public void setDngzjydzdzzdgjhz(Integer dngzjydzdzzdgjhz)
    {
        this.dngzjydzdzzdgjhz = dngzjydzdzzdgjhz;
    }

    public Integer getDngzjydzdzzdgjhz()
    {
        return dngzjydzdzzdgjhz;
    }

    public void setDngzmkqwdqdgjhz(Integer dngzmkqwdqdgjhz)
    {
        this.dngzmkqwdqdgjhz = dngzmkqwdqdgjhz;
    }

    public Integer getDngzmkqwdqdgjhz()
    {
        return dngzmkqwdqdgjhz;
    }

    public void setDngzmkqwdzdgjhz(Integer dngzmkqwdzdgjhz)
    {
        this.dngzmkqwdzdgjhz = dngzmkqwdzdgjhz;
    }

    public Integer getDngzmkqwdzdgjhz()
    {
        return dngzmkqwdzdgjhz;
    }

    public void setDngzmkqwdzzdgjhz(Integer dngzmkqwdzzdgjhz)
    {
        this.dngzmkqwdzzdgjhz = dngzmkqwdzzdgjhz;
    }

    public Integer getDngzmkqwdzzdgjhz()
    {
        return dngzmkqwdzzdgjhz;
    }

    public void setDngzmkgwdqdgjhz(Integer dngzmkgwdqdgjhz)
    {
        this.dngzmkgwdqdgjhz = dngzmkgwdqdgjhz;
    }

    public Integer getDngzmkgwdqdgjhz()
    {
        return dngzmkgwdqdgjhz;
    }

    public void setDngzmkgwdzdgjhz(Integer dngzmkgwdzdgjhz)
    {
        this.dngzmkgwdzdgjhz = dngzmkgwdzdgjhz;
    }

    public Integer getDngzmkgwdzdgjhz()
    {
        return dngzmkgwdzdgjhz;
    }

    public void setDngzmkgwdzzdgjhz(Integer dngzmkgwdzzdgjhz)
    {
        this.dngzmkgwdzzdgjhz = dngzmkgwdzzdgjhz;
    }

    public Integer getDngzmkgwdzzdgjhz()
    {
        return dngzmkgwdzzdgjhz;
    }

    public void setDngdtgyqwgjhz(Integer dngdtgyqwgjhz)
    {
        this.dngdtgyqwgjhz = dngdtgyqwgjhz;
    }

    public Integer getDngdtgyqwgjhz()
    {
        return dngdtgyqwgjhz;
    }

    public void setDngdtgyzdgjhz(Integer dngdtgyzdgjhz)
    {
        this.dngdtgyzdgjhz = dngdtgyzdgjhz;
    }

    public Integer getDngdtgyzdgjhz()
    {
        return dngdtgyzdgjhz;
    }

    public void setDngdtgyyzgjhz(Integer dngdtgyyzgjhz)
    {
        this.dngdtgyyzgjhz = dngdtgyyzgjhz;
    }

    public Integer getDngdtgyyzgjhz()
    {
        return dngdtgyyzgjhz;
    }

    public void setDngdtqyqwgjhz(Integer dngdtqyqwgjhz)
    {
        this.dngdtqyqwgjhz = dngdtqyqwgjhz;
    }

    public Integer getDngdtqyqwgjhz()
    {
        return dngdtqyqwgjhz;
    }

    public void setDngdtqyzdgjhz(Integer dngdtqyzdgjhz)
    {
        this.dngdtqyzdgjhz = dngdtqyzdgjhz;
    }

    public Integer getDngdtqyzdgjhz()
    {
        return dngdtqyzdgjhz;
    }

    public void setDngdtqyyzgjhz(Integer dngdtqyyzgjhz)
    {
        this.dngdtqyyzgjhz = dngdtqyyzgjhz;
    }

    public Integer getDngdtqyyzgjhz()
    {
        return dngdtqyyzgjhz;
    }

    public void setDngdtycqwgjhz(Integer dngdtycqwgjhz)
    {
        this.dngdtycqwgjhz = dngdtycqwgjhz;
    }

    public Integer getDngdtycqwgjhz()
    {
        return dngdtycqwgjhz;
    }

    public void setDngdtyczdgjhz(Integer dngdtyczdgjhz)
    {
        this.dngdtyczdgjhz = dngdtyczdgjhz;
    }

    public Integer getDngdtyczdgjhz()
    {
        return dngdtyczdgjhz;
    }

    public void setDngdtycyzgjhz(Integer dngdtycyzgjhz)
    {
        this.dngdtycyzgjhz = dngdtycyzgjhz;
    }

    public Integer getDngdtycyzgjhz()
    {
        return dngdtycyzgjhz;
    }

    public void setDngdtqwqwgjhz(Integer dngdtqwqwgjhz)
    {
        this.dngdtqwqwgjhz = dngdtqwqwgjhz;
    }

    public Integer getDngdtqwqwgjhz()
    {
        return dngdtqwqwgjhz;
    }

    public void setDngdtqwzdgjhz(Integer dngdtqwzdgjhz)
    {
        this.dngdtqwzdgjhz = dngdtqwzdgjhz;
    }

    public Integer getDngdtqwzdgjhz()
    {
        return dngdtqwzdgjhz;
    }

    public void setDngdtqwyzgjhz(Integer dngdtqwyzgjhz)
    {
        this.dngdtqwyzgjhz = dngdtqwyzgjhz;
    }

    public Integer getDngdtqwyzgjhz()
    {
        return dngdtqwyzgjhz;
    }

    public void setDngdtgwqwgjhz(Integer dngdtgwqwgjhz)
    {
        this.dngdtgwqwgjhz = dngdtgwqwgjhz;
    }

    public Integer getDngdtgwqwgjhz()
    {
        return dngdtgwqwgjhz;
    }

    public void setDngdtgwzdgjhz(Integer dngdtgwzdgjhz)
    {
        this.dngdtgwzdgjhz = dngdtgwzdgjhz;
    }

    public Integer getDngdtgwzdgjhz()
    {
        return dngdtgwzdgjhz;
    }

    public void setDngdtgwyzgjhz(Integer dngdtgwyzgjhz)
    {
        this.dngdtgwyzgjhz = dngdtgwyzgjhz;
    }

    public Integer getDngdtgwyzgjhz()
    {
        return dngdtgwyzgjhz;
    }

    public void setDngdtwcqwgjhz(Integer dngdtwcqwgjhz)
    {
        this.dngdtwcqwgjhz = dngdtwcqwgjhz;
    }

    public Integer getDngdtwcqwgjhz()
    {
        return dngdtwcqwgjhz;
    }

    public void setDngdtwczdgjhz(Integer dngdtwczdgjhz)
    {
        this.dngdtwczdgjhz = dngdtwczdgjhz;
    }

    public Integer getDngdtwczdgjhz()
    {
        return dngdtwczdgjhz;
    }

    public void setDngdtwcyzgjhz(Integer dngdtwcyzgjhz)
    {
        this.dngdtwcyzgjhz = dngdtwcyzgjhz;
    }

    public Integer getDngdtwcyzgjhz()
    {
        return dngdtwcyzgjhz;
    }

    public void setDtsocdqwgjhz(Integer dtsocdqwgjhz)
    {
        this.dtsocdqwgjhz = dtsocdqwgjhz;
    }

    public Integer getDtsocdqwgjhz()
    {
        return dtsocdqwgjhz;
    }

    public void setDtsocdzdgjhz(Integer dtsocdzdgjhz)
    {
        this.dtsocdzdgjhz = dtsocdzdgjhz;
    }

    public Integer getDtsocdzdgjhz()
    {
        return dtsocdzdgjhz;
    }

    public void setDtsocdyzgjhz(Integer dtsocdyzgjhz)
    {
        this.dtsocdyzgjhz = dtsocdyzgjhz;
    }

    public Integer getDtsocdyzgjhz()
    {
        return dtsocdyzgjhz;
    }

    public void setDtsocgqwgjhz(Integer dtsocgqwgjhz)
    {
        this.dtsocgqwgjhz = dtsocgqwgjhz;
    }

    public Integer getDtsocgqwgjhz()
    {
        return dtsocgqwgjhz;
    }

    public void setDtsocgzdgjhz(Integer dtsocgzdgjhz)
    {
        this.dtsocgzdgjhz = dtsocgzdgjhz;
    }

    public Integer getDtsocgzdgjhz()
    {
        return dtsocgzdgjhz;
    }

    public void setDtsocgyzgjhz(Integer dtsocgyzgjhz)
    {
        this.dtsocgyzgjhz = dtsocgyzgjhz;
    }

    public Integer getDtsocgyzgjhz()
    {
        return dtsocgyzgjhz;
    }

    public void setDtsohdqwgjhz(Integer dtsohdqwgjhz)
    {
        this.dtsohdqwgjhz = dtsohdqwgjhz;
    }

    public Integer getDtsohdqwgjhz()
    {
        return dtsohdqwgjhz;
    }

    public void setDtsohdzdgjhz(Integer dtsohdzdgjhz)
    {
        this.dtsohdzdgjhz = dtsohdzdgjhz;
    }

    public Integer getDtsohdzdgjhz()
    {
        return dtsohdzdgjhz;
    }

    public void setDtsohdyzgjhz(Integer dtsohdyzgjhz)
    {
        this.dtsohdyzgjhz = dtsohdyzgjhz;
    }

    public Integer getDtsohdyzgjhz()
    {
        return dtsohdyzgjhz;
    }

    public void setDtsohgqwgjhz(Integer dtsohgqwgjhz)
    {
        this.dtsohgqwgjhz = dtsohgqwgjhz;
    }

    public Integer getDtsohgqwgjhz()
    {
        return dtsohgqwgjhz;
    }

    public void setDtsohgzdgjhz(Integer dtsohgzdgjhz)
    {
        this.dtsohgzdgjhz = dtsohgzdgjhz;
    }

    public Integer getDtsohgzdgjhz()
    {
        return dtsohgzdgjhz;
    }

    public void setDtsohgyzgjhz(Integer dtsohgyzgjhz)
    {
        this.dtsohgyzgjhz = dtsohgyzgjhz;
    }

    public Integer getDtsohgyzgjhz()
    {
        return dtsohgyzgjhz;
    }

    public void setDngzkslhz(Integer dngzkslhz)
    {
        this.dngzkslhz = dngzkslhz;
    }

    public Integer getDngzkslhz()
    {
        return dngzkslhz;
    }

    public void setDngckslgjhz(Integer dngckslgjhz)
    {
        this.dngckslgjhz = dngckslgjhz;
    }

    public Integer getDngckslgjhz()
    {
        return dngckslgjhz;
    }

    public void setDngzdyyc(Integer dngzdyyc)
    {
        this.dngzdyyc = dngzdyyc;
    }

    public Integer getDngzdyyc()
    {
        return dngzdyyc;
    }

    public void setDnjcqdkyc(Integer dnjcqdkyc)
    {
        this.dnjcqdkyc = dnjcqdkyc;
    }

    public Integer getDnjcqdkyc()
    {
        return dnjcqdkyc;
    }

    public void setDnjcqbhyc(Integer dnjcqbhyc)
    {
        this.dnjcqbhyc = dnjcqbhyc;
    }

    public Integer getDnjcqbhyc()
    {
        return dnjcqbhyc;
    }

    public void setCdjz(Integer cdjz)
    {
        this.cdjz = cdjz;
    }

    public Integer getCdjz()
    {
        return cdjz;
    }

    public void setFdjz(Integer fdjz)
    {
        this.fdjz = fdjz;
    }

    public Integer getFdjz()
    {
        return fdjz;
    }

    public void setBmsxtgjhz(Integer bmsxtgjhz)
    {
        this.bmsxtgjhz = bmsxtgjhz;
    }

    public Integer getBmsxtgjhz()
    {
        return bmsxtgjhz;
    }

    public void setBmsxtgzhz(Integer bmsxtgzhz)
    {
        this.bmsxtgzhz = bmsxtgzhz;
    }

    public Integer getBmsxtgzhz()
    {
        return bmsxtgzhz;
    }

    public void setSrin0(Integer srin0)
    {
        this.srin0 = srin0;
    }

    public Integer getSrin0()
    {
        return srin0;
    }

    public void setSrin1(Integer srin1)
    {
        this.srin1 = srin1;
    }

    public Integer getSrin1()
    {
        return srin1;
    }

    public void setSrin2(Integer srin2)
    {
        this.srin2 = srin2;
    }

    public Integer getSrin2()
    {
        return srin2;
    }

    public void setSrin3(Integer srin3)
    {
        this.srin3 = srin3;
    }

    public Integer getSrin3()
    {
        return srin3;
    }

    public void setYl1(Integer yl1)
    {
        this.yl1 = yl1;
    }

    public Integer getYl1()
    {
        return yl1;
    }

    public void setYl2(Integer yl2)
    {
        this.yl2 = yl2;
    }

    public Integer getYl2()
    {
        return yl2;
    }

    public void setYl3(Integer yl3)
    {
        this.yl3 = yl3;
    }

    public Integer getYl3()
    {
        return yl3;
    }

    public void setYl4(Integer yl4)
    {
        this.yl4 = yl4;
    }

    public Integer getYl4()
    {
        return yl4;
    }

    public void setYl5(Integer yl5)
    {
        this.yl5 = yl5;
    }

    public Integer getYl5()
    {
        return yl5;
    }

    public void setYl6(Integer yl6)
    {
        this.yl6 = yl6;
    }

    public Integer getYl6()
    {
        return yl6;
    }

    public void setYl7(Integer yl7)
    {
        this.yl7 = yl7;
    }

    public Integer getYl7()
    {
        return yl7;
    }

    public void setYl8(Integer yl8)
    {
        this.yl8 = yl8;
    }

    public Integer getYl8()
    {
        return yl8;
    }

    public void setDngdzgwqwgjhz(Integer dngdzgwqwgjhz)
    {
        this.dngdzgwqwgjhz = dngdzgwqwgjhz;
    }

    public Integer getDngdzgwqwgjhz()
    {
        return dngdzgwqwgjhz;
    }

    public void setDngdzgwzdgjhz(Integer dngdzgwzdgjhz)
    {
        this.dngdzgwzdgjhz = dngdzgwzdgjhz;
    }

    public Integer getDngdzgwzdgjhz()
    {
        return dngdzgwzdgjhz;
    }

    public void setDngdzgwzzdgjhz(Integer dngdzgwzzdgjhz)
    {
        this.dngdzgwzzdgjhz = dngdzgwzzdgjhz;
    }

    public Integer getDngdzgwzzdgjhz()
    {
        return dngdzgwzzdgjhz;
    }

    public void setDnmkdygyqwgjhz(Integer dnmkdygyqwgjhz)
    {
        this.dnmkdygyqwgjhz = dnmkdygyqwgjhz;
    }

    public Integer getDnmkdygyqwgjhz()
    {
        return dnmkdygyqwgjhz;
    }

    public void setDnmkdygyzdgjhz(Integer dnmkdygyzdgjhz)
    {
        this.dnmkdygyzdgjhz = dnmkdygyzdgjhz;
    }

    public Integer getDnmkdygyzdgjhz()
    {
        return dnmkdygyzdgjhz;
    }

    public void setDnmkdygyyzgjhz(Integer dnmkdygyyzgjhz)
    {
        this.dnmkdygyyzgjhz = dnmkdygyyzgjhz;
    }

    public Integer getDnmkdygyyzgjhz()
    {
        return dnmkdygyyzgjhz;
    }

    public void setDnmkdyqyqwgjhz(Integer dnmkdyqyqwgjhz)
    {
        this.dnmkdyqyqwgjhz = dnmkdyqyqwgjhz;
    }

    public Integer getDnmkdyqyqwgjhz()
    {
        return dnmkdyqyqwgjhz;
    }

    public void setDnmkdyqyzdgjhz(Integer dnmkdyqyzdgjhz)
    {
        this.dnmkdyqyzdgjhz = dnmkdyqyzdgjhz;
    }

    public Integer getDnmkdyqyzdgjhz()
    {
        return dnmkdyqyzdgjhz;
    }

    public void setDnmkdyqyyzgjhz(Integer dnmkdyqyyzgjhz)
    {
        this.dnmkdyqyyzgjhz = dnmkdyqyyzgjhz;
    }

    public Integer getDnmkdyqyyzgjhz()
    {
        return dnmkdyqyyzgjhz;
    }

    public void setDycjsl(Integer dycjsl)
    {
        this.dycjsl = dycjsl;
    }

    public Integer getDycjsl()
    {
        return dycjsl;
    }

    public void setWdcjsl(Integer wdcjsl)
    {
        this.wdcjsl = wdcjsl;
    }

    public Integer getWdcjsl()
    {
        return wdcjsl;
    }

    public void setDidodi0(Integer didodi0)
    {
        this.didodi0 = didodi0;
    }

    public Integer getDidodi0()
    {
        return didodi0;
    }

    public void setDidodi1(Integer didodi1)
    {
        this.didodi1 = didodi1;
    }

    public Integer getDidodi1()
    {
        return didodi1;
    }

    public void setDidodi2(Integer didodi2)
    {
        this.didodi2 = didodi2;
    }

    public Integer getDidodi2()
    {
        return didodi2;
    }

    public void setDidodi3(Integer didodi3)
    {
        this.didodi3 = didodi3;
    }

    public Integer getDidodi3()
    {
        return didodi3;
    }

    public void setDidodi4(Integer didodi4)
    {
        this.didodi4 = didodi4;
    }

    public Integer getDidodi4()
    {
        return didodi4;
    }

    public void setDidodi5(Integer didodi5)
    {
        this.didodi5 = didodi5;
    }

    public Integer getDidodi5()
    {
        return didodi5;
    }

    public void setDidodi6(Integer didodi6)
    {
        this.didodi6 = didodi6;
    }

    public Integer getDidodi6()
    {
        return didodi6;
    }

    public void setDidodi7(Integer didodi7)
    {
        this.didodi7 = didodi7;
    }

    public Integer getDidodi7()
    {
        return didodi7;
    }

    public void setDidodi8(Integer didodi8)
    {
        this.didodi8 = didodi8;
    }

    public Integer getDidodi8()
    {
        return didodi8;
    }

    public void setDidodi9(Integer didodi9)
    {
        this.didodi9 = didodi9;
    }

    public Integer getDidodi9()
    {
        return didodi9;
    }

    public void setDidodi10(Integer didodi10)
    {
        this.didodi10 = didodi10;
    }

    public Integer getDidodi10()
    {
        return didodi10;
    }

    public void setDidodi11(Integer didodi11)
    {
        this.didodi11 = didodi11;
    }

    public Integer getDidodi11()
    {
        return didodi11;
    }

    public void setDidodi12(Integer didodi12)
    {
        this.didodi12 = didodi12;
    }

    public Integer getDidodi12()
    {
        return didodi12;
    }

    public void setKttxsl(Integer kttxsl)
    {
        this.kttxsl = kttxsl;
    }

    public Integer getKttxsl()
    {
        return kttxsl;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dataTimestamp", getDataTimestamp())
                .append("siteId", getSiteId())
                .append("deviceId", getDeviceId())
                .append("bmsgzzt", getBmsgzzt())
                .append("jczt", getJczt())
                .append("jfzt", getJfzt())
                .append("dngzddyqyqdgjhz", getDngzddyqyqdgjhz())
                .append("dngzddyqyzdgjhz", getDngzddyqyzdgjhz())
                .append("dngzddyqyzzdgjhz", getDngzddyqyzzdgjhz())
                .append("dngzddygyqdgjhz", getDngzddygyqdgjhz())
                .append("dngzddygyzdgjhz", getDngzddygyzdgjhz())
                .append("dngzddygyzzdgjhz", getDngzddygyzzdgjhz())
                .append("dngzdglqdgjhz", getDngzdglqdgjhz())
                .append("dngzdglzdgjhz", getDngzdglzdgjhz())
                .append("dngzdglzzdgjhz", getDngzdglzzdgjhz())
                .append("dngzjydzdqdgjhz", getDngzjydzdqdgjhz())
                .append("dngzjydzdzdgjhz", getDngzjydzdzdgjhz())
                .append("dngzjydzdzzdgjhz", getDngzjydzdzzdgjhz())
                .append("dngzmkqwdqdgjhz", getDngzmkqwdqdgjhz())
                .append("dngzmkqwdzdgjhz", getDngzmkqwdzdgjhz())
                .append("dngzmkqwdzzdgjhz", getDngzmkqwdzzdgjhz())
                .append("dngzmkgwdqdgjhz", getDngzmkgwdqdgjhz())
                .append("dngzmkgwdzdgjhz", getDngzmkgwdzdgjhz())
                .append("dngzmkgwdzzdgjhz", getDngzmkgwdzzdgjhz())
                .append("dngdtgyqwgjhz", getDngdtgyqwgjhz())
                .append("dngdtgyzdgjhz", getDngdtgyzdgjhz())
                .append("dngdtgyyzgjhz", getDngdtgyyzgjhz())
                .append("dngdtqyqwgjhz", getDngdtqyqwgjhz())
                .append("dngdtqyzdgjhz", getDngdtqyzdgjhz())
                .append("dngdtqyyzgjhz", getDngdtqyyzgjhz())
                .append("dngdtycqwgjhz", getDngdtycqwgjhz())
                .append("dngdtyczdgjhz", getDngdtyczdgjhz())
                .append("dngdtycyzgjhz", getDngdtycyzgjhz())
                .append("dngdtqwqwgjhz", getDngdtqwqwgjhz())
                .append("dngdtqwzdgjhz", getDngdtqwzdgjhz())
                .append("dngdtqwyzgjhz", getDngdtqwyzgjhz())
                .append("dngdtgwqwgjhz", getDngdtgwqwgjhz())
                .append("dngdtgwzdgjhz", getDngdtgwzdgjhz())
                .append("dngdtgwyzgjhz", getDngdtgwyzgjhz())
                .append("dngdtwcqwgjhz", getDngdtwcqwgjhz())
                .append("dngdtwczdgjhz", getDngdtwczdgjhz())
                .append("dngdtwcyzgjhz", getDngdtwcyzgjhz())
                .append("dtsocdqwgjhz", getDtsocdqwgjhz())
                .append("dtsocdzdgjhz", getDtsocdzdgjhz())
                .append("dtsocdyzgjhz", getDtsocdyzgjhz())
                .append("dtsocgqwgjhz", getDtsocgqwgjhz())
                .append("dtsocgzdgjhz", getDtsocgzdgjhz())
                .append("dtsocgyzgjhz", getDtsocgyzgjhz())
                .append("dtsohdqwgjhz", getDtsohdqwgjhz())
                .append("dtsohdzdgjhz", getDtsohdzdgjhz())
                .append("dtsohdyzgjhz", getDtsohdyzgjhz())
                .append("dtsohgqwgjhz", getDtsohgqwgjhz())
                .append("dtsohgzdgjhz", getDtsohgzdgjhz())
                .append("dtsohgyzgjhz", getDtsohgyzgjhz())
                .append("dngzkslhz", getDngzkslhz())
                .append("dngckslgjhz", getDngckslgjhz())
                .append("dngzdyyc", getDngzdyyc())
                .append("dnjcqdkyc", getDnjcqdkyc())
                .append("dnjcqbhyc", getDnjcqbhyc())
                .append("cdjz", getCdjz())
                .append("fdjz", getFdjz())
                .append("bmsxtgjhz", getBmsxtgjhz())
                .append("bmsxtgzhz", getBmsxtgzhz())
                .append("srin0", getSrin0())
                .append("srin1", getSrin1())
                .append("srin2", getSrin2())
                .append("srin3", getSrin3())
                .append("yl1", getYl1())
                .append("yl2", getYl2())
                .append("yl3", getYl3())
                .append("yl4", getYl4())
                .append("yl5", getYl5())
                .append("yl6", getYl6())
                .append("yl7", getYl7())
                .append("yl8", getYl8())
                .append("dngdzgwqwgjhz", getDngdzgwqwgjhz())
                .append("dngdzgwzdgjhz", getDngdzgwzdgjhz())
                .append("dngdzgwzzdgjhz", getDngdzgwzzdgjhz())
                .append("dnmkdygyqwgjhz", getDnmkdygyqwgjhz())
                .append("dnmkdygyzdgjhz", getDnmkdygyzdgjhz())
                .append("dnmkdygyyzgjhz", getDnmkdygyyzgjhz())
                .append("dnmkdyqyqwgjhz", getDnmkdyqyqwgjhz())
                .append("dnmkdyqyzdgjhz", getDnmkdyqyzdgjhz())
                .append("dnmkdyqyyzgjhz", getDnmkdyqyyzgjhz())
                .append("dycjsl", getDycjsl())
                .append("wdcjsl", getWdcjsl())
                .append("didodi0", getDidodi0())
                .append("didodi1", getDidodi1())
                .append("didodi2", getDidodi2())
                .append("didodi3", getDidodi3())
                .append("didodi4", getDidodi4())
                .append("didodi5", getDidodi5())
                .append("didodi6", getDidodi6())
                .append("didodi7", getDidodi7())
                .append("didodi8", getDidodi8())
                .append("didodi9", getDidodi9())
                .append("didodi10", getDidodi10())
                .append("didodi11", getDidodi11())
                .append("didodi12", getDidodi12())
                .append("kttxsl", getKttxsl())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("updateBy", getUpdateBy())
                .append("updateTime", getUpdateTime())
                .append("remark", getRemark())
                .toString();
    }
}
